<?php

function error($msg)
{
	// Format the error as a JSON object and exit the script:
	die('{error:"'.$msg.'"}');
}

function fetchElement($element,$src)
{
	$match = array();
	preg_match_all('/<'.$element.'>(.*)<\/'.$element.'>/u',$src,$match);
	// Matching the required property in the xml
	
	return $match[1];
	
	// ..and returning it
}

function curlMe($url,$gp='')
{
	// Using CURL to communicate with the Twitter API
	
	global $username,$password;
	
	$cc = curl_init();

	curl_setopt($cc, CURLOPT_URL, $url);
	
	if($gp)
	{
		// If the $gp parameter is set, send it by a POST request:
		curl_setopt($cc, CURLOPT_POST, 1);
		curl_setopt($cc, CURLOPT_POSTFIELDS, $gp);
	}
	else
		curl_setopt($cc, CURLOPT_GET, 1);

	curl_setopt($cc, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
	curl_setopt($cc, CURLOPT_USERPWD, $username.':'.$password);
	curl_setopt($cc, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($cc, CURLOPT_RETURNTRANSFER, 1);
	
	$xml = curl_exec($cc);
	curl_close($cc);
	
	return $xml;
}

?>