<?php

require "functions.php";
require "config.php";

$cache_file = 'twitter.cache';
// The cache file

$cache_expire_time = 15*60;
// The cache expires after 15 minutes

$twitterers_shown = 12;

// If you are making changes and want to destroy the cache while testing,
// uncomment the line below:

//$cache_expire_time = 1;

if(!file_exists($cache_file) || time() - filemtime($cache_file) > $cache_expire_time)
{
	// If there isn't a cache file, or if it is older than allowed

	$xml = curlMe("http://api.twitter.com/1/".$username."/".$list."/members.xml");
	//$xml = curlMe("http://api.twitter.com/1/chouka/design/members.xml");
	
	if(strpos($xml,'<error>Not found</error>') !== false)
	{
		// If there is not such a list, create it automatically:
		curlMe('http://api.twitter.com/1/'.$username.'/lists.xml','name='.$list);
	}
	
	$usernames = fetchElement('screen_name',$xml);
	$avatars = fetchElement('profile_image_url',$xml);
	
	$json = '';
	foreach($usernames as $k=>$u)
	{
		if($k!=0) $json.=', ';
		$json.='"'.$u.'":"'.$avatars[$k].'"';
		// Generating the json object with a structure: username:avatar_image
		
		if($k>=$twitterers_shown-1) break;
	}
	
	// Getting the total number of fans requires an additional API call:
	
	$membersXML = curlMe("http://api.twitter.com/1/".$username."/lists/".$list.".xml");
	$membersCount = fetchElement('member_count',$membersXML);

	$json = '{"members":{'.$json.'}, "membersCount":'.$membersCount[0].',"fanPage":"http://twitter.com/'.$username.'/'.$list.'"}';
	
	// Save the generated json variable in the cache for later use:
	$fp = fopen($cache_file,'w');
	
	if($fp == false)
	{
		error("Your cache file could not be created! You have to chmod the script directory to 777!");
	}
	
	fwrite($fp,$json);
	fclose($fp);
}
else
{
	$json = file_get_contents($cache_file);
	// Fetch the data from the cache file
}

echo $json;

?>